Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(460)

Issue 13707002: Introduce a file-manager-new-ui flag for the new UI of Files.app. (Closed)

Created:
5 years, 8 months ago by mtomasz
Modified:
5 years, 8 months ago
CC:
chromium-reviews, Aaron Boodman, rginda+watch_chromium.org, arv+watch_chromium.org, chromium-apps-reviews_chromium.org
Visibility:
Public.

Description

Introduce a file-manager-new-ui flag for the new UI of Files.app. This patch introduces the switch --file-manager-new-ui which runs Files.app as a platform app and with the new UI. TEST=Run Chrome with --file-manager-new-ui. Files.app should be borderless. BUG=226904 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=192789

Patch Set 1 #

Patch Set 2 : Fixed. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+26 lines, -6 lines) Patch
M chrome/browser/browser_resources.grd View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/component_loader.cc View 1 chunk +7 lines, -3 lines 0 comments Download
M chrome/browser/resources/file_manager/js/background.js View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/resources/file_manager/js/util.js View 1 chunk +10 lines, -0 lines 0 comments Download
M chrome/browser/resources/file_manager/manifest.json View 1 chunk +1 line, -1 line 0 comments Download
A + chrome/browser/resources/file_manager/manifest_new_ui.json View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/chrome_switches.h View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/chrome_switches.cc View 1 chunk +3 lines, -0 lines 0 comments Download

Messages

Total messages: 24 (0 generated)
mtomasz
@kalman: PTAL at C++. @yoshiki: PTAL at Javascript. Thanks.
5 years, 8 months ago (2013-04-05 04:48:17 UTC) #1
yoshiki
JS lgtm
5 years, 8 months ago (2013-04-05 04:53:19 UTC) #2
not at google - send to devlin
Ouch. We need a way for extensions/apps to access chrome flags. Oh well, lgtm.
5 years, 8 months ago (2013-04-05 05:27:13 UTC) #3
not at google - send to devlin
Mind filing a bug for adding a chrome.commandLine API?
5 years, 8 months ago (2013-04-05 05:27:35 UTC) #4
mtomasz
On 2013/04/05 05:27:35, kalman wrote: > Mind filing a bug for adding a chrome.commandLine API? ...
5 years, 8 months ago (2013-04-05 05:30:42 UTC) #5
mtomasz
On 2013/04/05 05:30:42, mtomasz wrote: > On 2013/04/05 05:27:35, kalman wrote: > > Mind filing ...
5 years, 8 months ago (2013-04-05 05:37:00 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mtomasz@chromium.org/13707002/2001
5 years, 8 months ago (2013-04-05 05:38:33 UTC) #7
commit-bot: I haz the power
Presubmit check for 13707002-2001 failed and returned exit status 1. INFO:root:Found 8 file(s). Running presubmit ...
5 years, 8 months ago (2013-04-05 05:38:37 UTC) #8
not at google - send to devlin
lgtm, thanks.
5 years, 8 months ago (2013-04-05 05:39:00 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mtomasz@chromium.org/13707002/2001
5 years, 8 months ago (2013-04-05 08:18:11 UTC) #10
commit-bot: I haz the power
Presubmit check for 13707002-2001 failed and returned exit status 1. INFO:root:Found 8 file(s). Running presubmit ...
5 years, 8 months ago (2013-04-05 08:18:16 UTC) #11
mtomasz
On 2013/04/05 08:18:16, I haz the power (commit-bot) wrote: > Presubmit check for 13707002-2001 failed ...
5 years, 8 months ago (2013-04-05 08:28:14 UTC) #12
sky
LGTM
5 years, 8 months ago (2013-04-05 16:06:24 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mtomasz@chromium.org/13707002/2001
5 years, 8 months ago (2013-04-07 04:57:33 UTC) #14
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
5 years, 8 months ago (2013-04-07 05:12:17 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mtomasz@chromium.org/13707002/2001
5 years, 8 months ago (2013-04-07 18:54:56 UTC) #16
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
5 years, 8 months ago (2013-04-07 18:58:50 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mtomasz@chromium.org/13707002/2001
5 years, 8 months ago (2013-04-07 19:54:04 UTC) #18
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
5 years, 8 months ago (2013-04-07 19:57:41 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mtomasz@chromium.org/13707002/2001
5 years, 8 months ago (2013-04-08 02:31:54 UTC) #20
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
5 years, 8 months ago (2013-04-08 02:36:10 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mtomasz@chromium.org/13707002/2001
5 years, 8 months ago (2013-04-08 04:40:49 UTC) #22
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
5 years, 8 months ago (2013-04-08 04:45:52 UTC) #23
mtomasz
5 years, 8 months ago (2013-04-08 05:42:03 UTC) #24
Message was sent while issue was closed.
Committed patchset #2 manually as r192789 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698